#include "ochess.hpp"

typedef std::string CType;

typedef struct Item {
    CType White;
    CType Black;
    CType Event;
    CType Round;
    CType Result;
    CType Eco;
} RType;

class GameListManager {
    wxListCtrl *game_list;
    long game_counter;
    std::vector<RType> rows;

    void DisplayRow(long id);
    void ClearDisplayedRow();
public:
    GameListManager(wxListCtrl *game_list);
    void AddGame(CType White,CType Black,CType Event,CType Round, CType Result, CType Eco);
    void Clear();
    void MarkItemAsOpen(long item);
    void MarkItemAsDeleted(long item);
    std::vector<long> GetSelectedItems();
    long GetItemGameId(long item);
};